/**
 * Ollama provider implementation using the official Ollama npm package
 */
import { LLMProvider } from '../provider.js';
import { GenerateOptions, LLMResponse, ProviderOptions } from '../types.js';
/**
 * Ollama-specific options
 */
export interface OllamaOptions extends ProviderOptions {
    baseUrl?: string;
}
/**
 * Ollama provider implementation using the official Ollama npm package
 */
export declare class OllamaProvider implements LLMProvider {
    name: string;
    provider: string;
    model: string;
    private client;
    constructor(model: string, options?: OllamaOptions);
    /**
     * Generate text using Ollama API via the official npm package
     */
    generateText(options: GenerateOptions): Promise<LLMResponse>;
    /**
     * Convert our function definitions to Ollama tool format
     */
    private convertFunctionsToTools;
    /**
     * Extract tool calls from Ollama response
     */
    private extractToolCalls;
    /**
     * Format messages for Ollama API
     */
    private formatMessages;
}
//# sourceMappingURL=ollama.d.ts.map