import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    status: z.ZodOptional<z.ZodEnum<["all", "running", "completed", "error", "terminated"]>>;
    verbose: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    status?: "running" | "completed" | "error" | "terminated" | "all" | undefined;
    verbose?: boolean | undefined;
}, {
    status?: "running" | "completed" | "error" | "terminated" | "all" | undefined;
    verbose?: boolean | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    agents: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        status: z.ZodString;
        goal: z.ZodString;
        startTime: z.ZodString;
        endTime: z.ZodOptional<z.ZodString>;
        runtime: z.ZodNumber;
        result: z.ZodOptional<z.ZodString>;
        error: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        goal: string;
        error?: string | undefined;
        result?: string | undefined;
        endTime?: string | undefined;
    }, {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        goal: string;
        error?: string | undefined;
        result?: string | undefined;
        endTime?: string | undefined;
    }>, "many">;
    count: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    count: number;
    agents: {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        goal: string;
        error?: string | undefined;
        result?: string | undefined;
        endTime?: string | undefined;
    }[];
}, {
    count: number;
    agents: {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        goal: string;
        error?: string | undefined;
        result?: string | undefined;
        endTime?: string | undefined;
    }[];
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const listAgentsTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=listAgents.d.ts.map