export interface BrowserInfo {
    name: string;
    type: 'chromium' | 'firefox' | 'webkit';
    path: string;
}
/**
 * Utility class to detect system-installed browsers across platforms
 */
export declare class BrowserDetector {
    /**
     * Detect available browsers on the system
     * Returns an array of browser information objects sorted by preference
     */
    static detectBrowsers(): Promise<BrowserInfo[]>;
    /**
     * Detect browsers on macOS
     */
    private static detectMacOSBrowsers;
    /**
     * Detect browsers on Windows
     */
    private static detectWindowsBrowsers;
    /**
     * Detect browsers on Linux
     */
    private static detectLinuxBrowsers;
    /**
     * Check if a file exists and is accessible
     */
    private static canAccess;
}
//# sourceMappingURL=BrowserDetector.d.ts.map