/**
 * Tool for compacting message history to reduce token usage
 */
import { z } from 'zod';
import { Tool, ToolContext } from '../../core/types.js';
/**
 * Schema for the compactHistory tool parameters
 */
export declare const CompactHistorySchema: z.ZodObject<{
    preserveRecentMessages: z.ZodDefault<z.ZodNumber>;
    customPrompt: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    preserveRecentMessages: number;
    customPrompt?: string | undefined;
}, {
    customPrompt?: string | undefined;
    preserveRecentMessages?: number | undefined;
}>;
/**
 * Implementation of the compactHistory tool
 */
export declare const compactHistory: (params: z.infer<typeof CompactHistorySchema>, context: ToolContext) => Promise<string>;
/**
 * CompactHistory tool definition
 */
export declare const CompactHistoryTool: Tool;
//# sourceMappingURL=compactHistory.d.ts.map